# 构建 datax-web 镜像

## 导入文件
- [下载 datax-web.git]( https://github.com/WeiYe-Jing/datax-web.git)


## 外挂目录和文件
- /opt/datax-web-2.1.2/modules/datax-admin/bin/console.out: admin 日志文件
- /opt/datax-web-2.1.2/modules/datax-datax-executor/bin/console.out: 执行器日志文件

## db文件在容器里边
- 启动容器后docker cp {datax-web}:/opt/datax-web-2.1.2/bin/db/datax_web.sql .
- 创建数据库: create database datax_web;
- 导入数据:use datax_web ; source datax_web.sql;
- 创建用户:create user admin@'%' identified by '123456';
- 授权用户:grant  all on datax_web.* to admin@'%';
- 访问地址 http://服务器ip:9527/index.html 帐号:admin 密码:123456
## docker-compose.yml案例
