# 构建 kafka 镜像

## 导入文件
- [kafka_2.13-$VERSION.tgz](https://kafka.apache.org/downloads)

## 定制
- 修改 rootLogger
- 创建日志目录和数据目录
- 启动时指定数据目录和日志目录参数，覆盖配置文件

## 外挂目录和文件
- /opt/kafka/data: kafka 数据目录
- /opt/kafka/logs: kafka 日志目录

## 引入环境变量
- KAFKA_OPTS: kafka 参数

## 案例
- [Demo/SingleNode/](Demo/SingleNode/): 部署 kafka 单节点
- [Demo/ThreeNodes/](Demo/ThreeNodes/): 部署 kafka 集群

