# 部署 zabbix

- 根据实际环境修改
    - docker-compose.yml

- 创建目录
    ```
    grep '\<source:' docker-compose.yml | cut -d: -f2 | xargs mkdir -p
    ```

- 启动
    ```
    docker-compose up -d
    ```

- 查看容器日志，直至出现 "Starting Zabbix Server. Zabbix 5.0.9 (revision {ZABBIX_REVISION})."，表示 zabbix server 启动完成
    ```
    docker-compose logs -f zabbix
    ```

- 浏览器访问 http://x.x.x.x/zabbix/，打开 zabbix 安装界面，__不要做任何修改，一直点击 "下一步"__，直至出现登陆界面
- 默认用户名和密码: Admin/zabbix

